﻿
using System.ServiceModel;
namespace Service
{
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerSession)]
    public class SampleMethod:ISampleMethod
    {
        static int instanceCount;
        int instanceId;
        int operationCount;

        public SampleMethod()
        {
           instanceCount++;
           instanceId = instanceCount;
        }

        public string MethodOne(string msg)
        {
            operationCount++;
            return "You called MethodOne return message is: " + msg;
        }

        public string MethodTwo(string msg)
        {
            operationCount++;
            return "You called MethodTwo return message is: " + msg;
        }

        public int GetInstanceId()
        {  
            return instanceId;
        }

        public int GetOperationCount()
        {   
           return operationCount;
        }
    }
}
